View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000464Ecere SDKidepublic2010-07-26 04:462013-05-19 22:15
Reporterredj 
Assigned Toredj 
PriorityimmediateSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.44 Ryoan-jiFixed in Version0.44 Ryoan-ji 
Summary0000464: ide: project settings: additional include dirs problems
Description[ ] Additional Include Dirs problems:
    - somehow paths move around (not following order)
    - when they move around after an edit, we end up sometimes with empty lines at the bottom
    - often end up replacing a line without meaning to (F2 uses first line instead of current or something? maybe this is many problems
TagsNo tags attached.
Attached Files

- Relationships
related to 0000436closedjerome project settings seriously broken: additional directory not showing bold in compiler/linker tab 
related to 0000396closedredj Major bug in Adding additional include directories 
has duplicate 0000397closedjerome Deleting a line in the middle of additional libraries 

-  Notes
(0000297)
redj (administrator)
2010-07-31 21:05

the OnActivate !active (de-activation) code of the DirectoriesBox was resetting the currentRow to firstRow when reloading the strings.

I fixed this but I don't know if it resolves everything mentioned in the description. and until I commit, this is a request for feedback.
(0000309)
redj (administrator)
2010-08-03 18:41

same revision history -- fixes for http://ecere.com/mantis/view.php?id=523 [^] and this issue were commited together.

Added revision 7 to sdk\ide\src\dialogs\DirectoriesBox.ec
Added revision 63 to sdk\ide\src\project\ProjectNode.ec
Added revision 109 to sdk\ide\src\project\ProjectView.ec
Added revision 83 to sdk\ide\src\ProjectSettings.ec
(0000320)
jerome (administrator)
2010-08-07 17:18

The major issues have been fixed here.
Will require some more testing, including with the inherited directories.

- Issue History
Date Modified Username Field Change
2010-07-26 04:46 redj New Issue
2010-07-26 04:49 redj Relationship added child of 0000429
2010-07-26 04:49 redj Relationship added related to 0000436
2010-07-26 04:49 redj Relationship added related to 0000462
2010-07-26 04:50 redj Relationship added parent of 0000174
2010-07-26 04:50 redj Relationship deleted parent of 0000174
2010-07-26 04:50 redj Relationship added related to 0000174
2010-07-26 04:50 redj Relationship added related to 0000083
2010-07-26 04:50 redj Relationship added related to 0000416
2010-07-26 11:29 jerome Relationship added related to 0000396
2010-07-26 11:29 jerome Relationship deleted related to 0000416
2010-07-26 11:30 jerome Relationship deleted related to 0000174
2010-07-26 11:30 jerome Relationship deleted related to 0000083
2010-07-26 11:30 jerome Relationship deleted related to 0000462
2010-07-26 19:35 thexa4 Target Version => 0.44 draft 2
2010-07-31 21:04 redj Status new => assigned
2010-07-31 21:04 redj Assigned To => redj
2010-07-31 21:05 redj Note Added: 0000297
2010-07-31 21:05 redj Status assigned => feedback
2010-08-01 16:59 redj Description Updated
2010-08-03 18:41 redj Note Added: 0000309
2010-08-07 17:15 jerome Relationship added has duplicate 0000397
2010-08-07 17:18 jerome Note Added: 0000320
2010-08-07 17:18 jerome Status feedback => resolved
2010-08-07 17:18 jerome Resolution open => fixed
2012-03-08 15:33 redj Target Version old 0.44.pre2 => 0.44 Ryoan-ji
2012-03-08 17:36 redj Relationship deleted child of 0000429
2012-03-08 18:07 redj Fixed in Version => 0.44 Ryoan-ji
2012-03-29 07:52 redj Category => ide
2012-03-29 07:52 redj Project @3@ => Ecere SDK
2013-05-19 22:15 jerome Status resolved => closed



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker